Loading...
Searching...
No Matches
transform.hpp File Reference

Provides utilities for modifying characters. More...

`#include <array>`
`#include <seqan3/utility/concept.hpp>`
`#include <seqan3/utility/detail/integer_traits.hpp>`
Include dependency graph for transform.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

Operations on characters
template<builtin_character char_type>
constexpr char_type | seqan3::to_lower (char_type const c) noexcept
| Converts 'A'-'Z' to 'a'-'z' respectively; other characters are returned as is.
template<builtin_character char_type>
constexpr char_type | seqan3::to_upper (char_type const c) noexcept
| Converts 'a'-'z' to 'A'-'Z' respectively; other characters are returned as is.

## Detailed Description

Provides utilities for modifying characters.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me